Bug 490156 - soft lockup on DL765 running GTOD test program
soft lockup on DL765 running GTOD test program
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.1
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Real Time Maintenance
David Sommerseth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 11:50 EDT by Graham Biswell
Modified: 2016-05-22 19:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-05 16:17:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
code for test program that causes BUG message (1.67 KB, text/plain)
2009-03-13 11:50 EDT, Graham Biswell
no flags Details

  None (edit)
Description Graham Biswell 2009-03-13 11:50:33 EDT
Created attachment 335109 [details]
code for test program that causes BUG message

Description of problem: Customer running a GTOD test program on HP DL765 & DL385 get a soft lockup BUG.

Version-Release number of selected component (if applicable): 2.6.24.7-107.el5rt

How reproducible: Every time.

Steps to Reproduce: 
1. Use provided "timetest6" test program. There is no need to set affinity or set realtime priority.

# ps -lef |grep timetest
F S UID        PID  PPID  C PRI  NI ADDR SZ WCHAN  STIME TTY TIME CMD
4 R root      7568  7536 99 -40   - -  1171 -      17:17 pts/0 00:05:43 ./timetest6b 0

2.  
3.
  
Actual results:

kernel: BUG: soft lockup - CPU#10 stuck for 11s! [timetest6b:7568]
kernel: CPU 10:
kernel: Modules linked in: ib_iser libiscsi
scsi_transport_iscsi ib_srp scsi_transport_srp scsi_tgt ib_sdp ib_ipoib
ipv6 rdma_ucm ib_ucm ib_uverbs ib_umad rdma_cm ib_cm iw_cm
ib_addr ib_sa ib_mad ib_core dm_multipath scsi_dh video 
output sbs sbshc battery ac parport_pc lp parport sg sr_mod button cdrom
bnx2 sfc mii serio_raw e1000e e1000 pata_serverworks pata_acpi
ata_generic amd64_edac edac_core ipmi_si libata pcspkr
ipmi_msghandler shpchp dm_snapshot dm_zero dm_mirror dm_mod cciss sd_mod
scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd
kernel: Pid: 7568, comm: timetest6b Not tainted 2.6.24.7-107.el5rt #1
kernel: RIP: 0033:[<000000000040076f>] [<000000000040076f>]
kernel: RSP: 002b:00007fff0d3178c0  EFLAGS: 00000246
kernel: RAX: 0000000000000000 RBX: 00007fff0d317930 RCX: 0000000000000000
kernel: RDX: 0000000008f8e406 RSI: 00007fff0d3178f0 RDI: 00007fff0d3178e0
kernel: RBP: 00007fff0d314fe0 R08: 00007fe6051fe6e0 R09: 00007fe604ebe760
kernel: R10: 0000000000000000 R11: 00007fe604e31610 R12: 000000000000000e
kernel: R13: 000000000000000e R14: 00007fe6050f6860 R15: 000000000000000e
kernel: FS:  00007fe6051fe6e0(0000) GS:ffff810c2e51f9c0(0000) knlGS:0000000000000000
kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
kernel: CR2: 00007fe604e76170 CR3: 0000000c2d56a000 CR4: 00000000000006e0
kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
kernel: 
kernel: Call Trace:
kernel: 
kernel: BUG: soft lockup - CPU#10 stuck for 11s! [timetest6b:7620]


Expected results:


Additional info: On the test hardware (DL765), timetest6 takes about 2 minutes to run.

Note You need to log in before you can comment on or make changes to this bug.